Class CreateOidcProviderRequest
java.lang.Object
com.eqixiac.equinix.sts.model.json.creators.CreateOidcProviderRequest
Request body for registering a new OIDC provider via
POST
/v1/projects/{projectId}/oidcProviders (operationId createOidcProvider, spec schema
CreateOidcProviderBody).-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptiongroupMembershipClaim(String groupMembershipClaim) Sets the name of the group-membership claim to interpret for authorization.Sets the prefix used to derive a uniqueidpIdwithin the root project (required).issuerLocation(String issuerLocation) Sets the OIDC issuer location URL (required).Sets the human-friendly name for the identity provider (required).trustedClientIds(List<String> trustedClientIds) Sets the OAuth 2.0 client ids permitted to exchange ID tokens for access tokens (required).
-
Constructor Details
-
CreateOidcProviderRequest
public CreateOidcProviderRequest()
-
-
Method Details
-
name
Sets the human-friendly name for the identity provider (required).- Parameters:
name- the provider name- Returns:
- this request for chaining
-
idpPrefix
Sets the prefix used to derive a uniqueidpIdwithin the root project (required).- Parameters:
idpPrefix- the idp prefix- Returns:
- this request for chaining
-
issuerLocation
Sets the OIDC issuer location URL (required).- Parameters:
issuerLocation- the issuer location URL- Returns:
- this request for chaining
-
trustedClientIds
Sets the OAuth 2.0 client ids permitted to exchange ID tokens for access tokens (required).- Parameters:
trustedClientIds- the trusted client ids- Returns:
- this request for chaining
-
groupMembershipClaim
Sets the name of the group-membership claim to interpret for authorization.- Parameters:
groupMembershipClaim- the group membership claim name- Returns:
- this request for chaining
-